diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 90e4fb611..9d6af7375 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1103,7 +1103,7 @@ define('pgadmin.browser.node', [
 
       // Template function to create the status bar
       var createStatusBar = function(location) {
-          var statusBar = $('<div></div>').addClass(
+          var statusBar = $('<div role="status"></div>').addClass(
             'pg-prop-status-bar'
           ).appendTo(j);
           statusBar.css('visibility', 'hidden');
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 38dc436fb..78ffb2139 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -127,7 +127,7 @@ define([
               alertMessage = '\
                   <div class="media text-danger text-14">\
                     <div class="media-body media-middle">\
-                      <div class="alert-text">' + promptmsg + '</div><br/>\
+                      <div class="alert-text" role="status">' + promptmsg + '</div><br/>\
                       <div class="alert-text">' + gettext('Click for details.') + '</div>\
                     </div>\
                   </div>';
@@ -172,7 +172,7 @@ define([
           var alertMessage = '\
                 <div class="media text-danger text-14">\
                   <div class="media-body media-middle">\
-                    <div class="alert-text">' + gettext('INTERNAL SERVER ERROR') + '</div><br/>\
+                    <div class="alert-text" role="status">' + gettext('INTERNAL SERVER ERROR') + '</div><br/>\
                     <div class="alert-text">' + gettext('Click for details.') + '</div>\
                   </div>\
                 </div>';
@@ -422,7 +422,7 @@ define([
         <div class="pr-2">
           <i class="fa fa-check text-success" aria-hidden="true"></i>
         </div>
-        <div class="text-body">${message}</div>
+        <div class="text-body" role="status">${message}</div>
       </div>`;
       return alertify.orig_success(alertMessage, timeout, callback);
     },
@@ -432,7 +432,7 @@ define([
         <div class="pr-2">
           <i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i>
         </div>
-        <div class="text-body">${message}</div>
+        <div class="text-body" role="status">${message}</div>
       </div>`;
       return alertify.orig_error(alertMessage, timeout, callback);
     },
@@ -442,7 +442,7 @@ define([
         <div class="mr-3">
           <i class="fa fa-info text-primary" aria-hidden="true"></i>
         </div>
-        <div class="text-body">${message}</div>
+        <div class="text-body" role="status">${message}</div>
       </div>`;
       var alert = alertify.notify(alertMessage, timeout);
       return alert;
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog.js b/web/pgadmin/static/js/sqleditor/filter_dialog.js
index f5662ea5c..92ee6e0aa 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog.js
@@ -128,7 +128,7 @@ let FilterDialog = {
               '      <div class="pr-2"> ' +
               '        <i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i> ' +
               '      </div> ' +
-              '      <div class="alert-text"></div> ' +
+              '      <div class="alert-text" role="status"></div> ' +
               '    </div> ' +
               '  </div> ' +
               '</div>').appendTo($container);
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index 2423c5c61..ea65ca7ac 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -636,7 +636,7 @@ define([
                   '        <div class="pr-2"> ',
                   '          <i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i> ',
                   '        </div> ',
-                  '        <div class="alert-text"></div> ',
+                  '        <div class="alert-text" role="status></div> ',
                   '        <div class="ml-auto close-error-bar"> ',
                   '          <a class="close-error fa fa-times text-danger"></a> ',
                   '        </div> ',
